superset-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From kri...@apache.org
Subject [incubator-superset] branch master updated: Add disclaimer and remove counter (#6738)
Date Tue, 22 Jan 2019 22:18:25 GMT
This is an automated email from the ASF dual-hosted git repository.

kristw pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/incubator-superset.git


The following commit(s) were added to refs/heads/master by this push:
     new d65059b  Add disclaimer and remove counter (#6738)
d65059b is described below

commit d65059b06a970c36d83528fd84c96d81b4d709e9
Author: bolkedebruin <bolkedebruin@users.noreply.github.com>
AuthorDate: Tue Jan 22 23:18:16 2019 +0100

    Add disclaimer and remove counter (#6738)
---
 .rat-excludes            |  1 +
 DISCLAIMER               | 11 +++++++++++
 scripts/check_license.sh | 15 +--------------
 3 files changed, 13 insertions(+), 14 deletions(-)

diff --git a/.rat-excludes b/.rat-excludes
index e4cd478..46a5af0 100644
--- a/.rat-excludes
+++ b/.rat-excludes
@@ -12,6 +12,7 @@
 .*pyc
 .*lock
 .*geojson
+DISCLAIMER
 licenses/*
 node_modules/*
 rat-results.txt
diff --git a/DISCLAIMER b/DISCLAIMER
new file mode 100644
index 0000000..3cf9282
--- /dev/null
+++ b/DISCLAIMER
@@ -0,0 +1,11 @@
+DISCLAIMER
+
+Apache Superset (incubating) is an effort undergoing incubation at the Apache
+Software Foundation (ASF), sponsored by the Apache Incubator PMC.
+Incubation is required of all newly accepted projects until a further review
+indicates that the infrastructure, communications, and decision making process
+have stabilized in a manner consistent with other successful ASF projects.
+
+While incubation status is not necessarily a reflection of the completeness or
+stability of the code, it does indicate that the project has yet to be fully
+endorsed by the ASF.
\ No newline at end of file
diff --git a/scripts/check_license.sh b/scripts/check_license.sh
index fd164fc..4ca00c3 100755
--- a/scripts/check_license.sh
+++ b/scripts/check_license.sh
@@ -88,20 +88,7 @@ ERRORS="$(cat rat-results.txt | grep -e "??")"
 if test ! -z "$ERRORS"; then
     echo >&2 "Could not find Apache license headers in the following files:"
     echo >&2 "$ERRORS"
-    COUNT=`echo "${ERRORS}" | wc -l`
-    if [ ! -f ${TRAVIS_CACHE}/rat-error-count-builds ]; then
-        [ "${TRAVIS_PULL_REQUEST}" = "false" ] && echo ${COUNT} > ${TRAVIS_CACHE}/rat-error-count-builds
-        OLD_COUNT=${COUNT}
-    else
-        typeset -i OLD_COUNT=$(cat ${TRAVIS_CACHE}/rat-error-count-builds)
-    fi
-    if [ ${COUNT} -gt ${OLD_COUNT} ]; then
-        echo "New missing licenses (${COUNT} vs ${OLD_COUNT}) detected. Please correct them
by adding them to to header of your files"
-        exit 1
-    else
-        [ "${TRAVIS_PULL_REQUEST}" = "false" ] && echo ${COUNT} > ${TRAVIS_CACHE}/rat-error-count-builds
-    fi
-    exit 0
+    exit 1
 else
     echo -e "RAT checks passed."
 fi


Mime
View raw message